This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 530514 - (CVE-2009-3637) CVE-2009-3637 alienarena: Buffer overflow by processing specially-crafted UDP reply from game server (ACE)
CVE-2009-3637 alienarena: Buffer overflow by processing specially-crafted UDP...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://www.ngssoftware.com/brochures/...
impact=important,source=debian,report...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-23 04:47 EDT by Jan Lieskovsky
Modified: 2015-08-24 12:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-24 12:06:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2009-10-23 04:47:34 EDT
Buffer overflow flaw was found in the way used to validate remote game servers
to be added into the server list. A remote attacker sending a specially-crafted
UDP reply from game server could execute arbitrary code on the side 
and with the privileges of alienarena game client.

References:
----------
http://www.ngssoftware.com/brochures/Anonymous.Remote.Arbitrary.Code.Execution.in.Alien.Arena.pdf (More descriptive issue details)
http://icculus.org/alienarena/changelogs/7.31.txt 
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=552038

Upstream patch:
--------------
http://svn.icculus.org/alienarena/trunk/source/client/menu.c?r1=1383&r2=1391

(Merge o both revisions: 1390 and 1391, you might want to have a look
 at separate commits too:

  http://svn.icculus.org/alienarena?view=rev&revision=1390
  http://svn.icculus.org/alienarena/trunk/source/client/menu.c?r1=1390&r2=1391
)

CVE Request:
------------
http://www.openwall.com/lists/oss-security/2009/10/23/4
Comment 1 Jan Lieskovsky 2009-10-23 04:49:22 EDT
This issue affects the versions of the alienarena packages, as shipped
with Fedora release of 10 and 11, and as scheduled to appear in Fedora
release of 12.

Please fix.
Comment 2 Jan Lieskovsky 2009-10-24 07:54:49 EDT
This is CVE-2009-3637.
Comment 3 Fedora Update System 2009-11-04 16:19:39 EST
alienarena-data-20091102-1.fc10,alienarena-7.32-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/alienarena-data-20091102-1.fc10,alienarena-7.32-1.fc10
Comment 4 Fedora Update System 2009-11-04 16:19:45 EST
alienarena-data-20091102-1.fc11,alienarena-7.32-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/alienarena-data-20091102-1.fc11,alienarena-7.32-1.fc11
Comment 5 Fedora Update System 2009-11-05 19:03:25 EST
alienarena-data-20091102-1.fc11, alienarena-7.32-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2009-11-05 19:10:13 EST
alienarena-data-20091102-1.fc10, alienarena-7.32-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.